modules

# Class: accountContainer Source Location: /lib/modules.inc
### Class Overview
This class includes all modules and attributes of an account. | ### Variables $attributes $attributes_orig $dn $dn_orig $isNewAccount $rdn | ### Methods __construct continue_main fixLDAPAttributes getAccountModule getAccountModules getParentDN getRDN get_pdfEntries get_type load_account new_account save_account save_module_attributes sortModules __sleep __wakeup
### Class Details [line 868] This class includes all modules and attributes of an account. [ Top ] ### Class Variables #### $attributes = [line 897] Array of all used attributes Syntax is attribute => array ( objectClass => MUST or MAY, ...)
Type: | mixed
[ Top ] #### $attributes_orig = [line 918] original LDAP attributes when account was loaded from LDAP
Type: | mixed
[ Top ] #### $dn = [line 909] DN suffix of the account
Type: | mixed
[ Top ] #### $dn_orig = [line 912] DN suffix of account when it was loaded
Type: | mixed
[ Top ] #### $isNewAccount = [line 933] True if this is a newly created account
Type: | mixed
[ Top ] #### $rdn = [line 915] RDN attribute of this account
Type: | mixed
[ Top ] ### Class Methods ### constructor __construct [line 876]
`accountContainer __construct( string $type, string $base)`
Constructor #### Parameters:
string | $type | account type
string | $base | key in $_SESSION where this object is saved
[ Top ] ### method continue_main [line 974]
`void continue_main( )`
This function is called when the user clicks on any button on the account pages. It prints the HTML code of each account page. [ Top ] ### method fixLDAPAttributes [line 1489]
`array fixLDAPAttributes( array $attributes, array $modules)`
Fixes spelling errors in the attribute names. #### Tags:
return: | fixed attributes
#### Parameters:
array | $attributes | LDAP attributes
array | $modules | list of active modules
[ Top ] ### method getAccountModule [line 943]
`baseModule getAccountModule( string $name)`
Returns the account module with the given class name #### Tags:
return: | account module
#### Parameters:
string | $name | class name (e.g. posixAccount)
[ Top ] ### method getAccountModules [line 957]
`array getAccountModules( )`
Returns the included account modules. #### Tags:
return: | modules
[ Top ] ### method getParentDN [line 1826]
`String getParentDN( String $dn)`
Returns the parent DN of a given DN. #### Tags:
return: | DN
#### Parameters:
String | $dn | DN
[ Top ] ### method getRDN [line 1814]
`String getRDN( String $dn)`
Returns the RDN part of a given DN. #### Tags:
return: | RDN
#### Parameters:
String | $dn | DN
[ Top ] ### method get_pdfEntries [line 1738]
`list get_pdfEntries( )`
Returns a list of possible PDF entries for this account. #### Tags:
return: | of PDF entries (array(<name> => <PDF lines>))
[ Top ] ### method get_type [line 966]
`string get_type( )`
Returns the accout type of this object (e.g. user, group, host). #### Tags:
return: | account type
[ Top ] ### method load_account [line 1430]
`array load_account( string $dn)`
Loads an LDAP account with the given DN. #### Tags:
return: | error messages
#### Parameters:
string | $dn | the DN of the account
[ Top ] ### method new_account [line 1562]
`void new_account( )`
This function will prepare the object for a new account. [ Top ] ### method save_account [line 1592]
`array save_account( )`
This function will save an account to the LDAP database. #### Tags:
return: | list of status messages if any errors occured
[ Top ] ### method save_module_attributes [line 1352]
`array save_module_attributes( array $attributes, array $orig)`
This function checks which LDAP attributes have changed while the account was edited. #### Tags:
return: | an array which can be passed to $this->saveAccount()
#### Parameters:
array | $attributes | list of current LDAP attributes
array | $orig | list of old attributes when account was loaded
[ Top ] ### method sortModules [line 1751]
`void sortModules( )`
Sorts the module buttons for the account page. [ Top ] ### method __sleep [line 1837]
`array __sleep( )`
Encrypts sensitive data before storing in session. #### Tags:
return: | list of attributes which are serialized
[ Top ] ### method __wakeup [line 1849]
`void __wakeup( )`
Decrypts sensitive data after accountContainer was loaded from session. [ Top ] Documentation generated on Thu, 07 Feb 2008 20:26:42 +0100 by phpDocumentor 1.4.0